using System;

namespace zli_nezadovoljni_ljudi
{
    class Program
    {
        static void Main(string[] args)
        {
            
            int n = int.Parse(Console.ReadLine());
            uint[] a = new uint[n];
            double[] p = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i] = uint.Parse(s[0]);
                p[i] = double.Parse(s[1]) / 100;
                if (p[i] == 0) a[i] = 0;
            }
            double max = 0;
            for (int i = 0; i < n; i++)
            {   
                for (int j = n-1; j >-1; j--)
                {
                    if (p[i]<=p[j] && j!=i) a[i]+=a[j];
                }
                if (a[i] * p[i] > max) max = a[i] * p[i];
            }
            
            Console.WriteLine(max);
        }
    }
}